ScXMLConstantDataObj(3)

NAME
ScXMLConstantDataObj - base class for immediate data values

SYNOPSIS

#include <Inventor/scxmlScXMLEvaluator.h>

Inherits ScXMLDataObj.

Inherited by ScXMLBoolDataObj, ScXMLRealDataObj, ScXMLSbDataObj, and ScXMLStringDataObj.

  Public Member Functions
virtual SoType getTypeId (void) const =0
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
virtual ScXMLDataObj * clone (void) const =0
virtual void convertToString (SbString &str) const =0

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
static void cleanClass (void)

  Additional Inherited Members

Detailed Description

base class for immediate data values

Since
    Coin 3.1

Member Function Documentation

  virtual SoType ScXMLConstantDataObj::getTypeId (void) const [pure virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLDataObj.

Implemented in ScXMLStringDataObj, ScXMLRealDataObj, ScXMLBoolDataObj, and ScXMLSbDataObj.

Author

Generated automatically by Doxygen for Coin from the source code.